<%= form_with(model: post, local: true) do |form| %>
  <% if post.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(post.errors.count, "error") %> prohibited this post from being saved:</h2>

      <ul>
        <% post.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :description %>
    <%= form.text_area :description %>
  </div>

  <div class="field">
    <%= form.label :media %>
    <%= form.file_field :media %>
  </div>


  <% if form.object.media.present? %>
    <%= image_tag url_for(form.object.media) %>
  <% end %>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
